# class PControl | This class is used to find out information about processes and manipulate them. More...
Definition | `#include <klineakconfig/pcontrol.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~PControl ()

#### Public Slots

- void renice (int pid)
- void kill (int pid)

#### Signals

- void niced (int pid)
- void killed (int pid)

#### Public Static Methods

- static PControl * instance ()
- static int klineakconfigRunning ()
- static int lineakdRunning ()
- static int processPID (const QString process)

#### Private Methods

- PControl (QWidget *parent=0, const char *name=0)

#### Private Members

- static PControl *mInstance

## Detailed Description

This class is used to find out information about processes and manipulate them.

~PControl () | ### ~PControl

[virtual]

PControl * instance () | ### instance

[static]

int klineakconfigRunning () | ### klineakconfigRunning

[static]

int lineakdRunning () | ### lineakdRunning

[static]

int processPID (const QString process) | ### processPID

[static]

void renice (int pid) | ### renice

[slot]

void kill (int pid) | ### kill

[slot]

void niced (int pid) | ### niced

[signal]

void killed (int pid) | ### killed

[signal]

PControl (QWidget *parent=0, const char *name=0) | ### PControl

[private]

static PControl * mInstance | ### mInstance

[private]

- Author: Sheldon Lee Wen
- Generated: sheldonl on shugaru on Thu Oct 3 22:56:49 2002, using kdoc 2.0a53.